#!/usr/bin/env node

import {convert} from './index.js'
import {stdin, argv} from 'node:process'

async function streamToString(stream) {
   // lets have a ReadableStream as a stream variable
   const chunks = [];

   for await (const chunk of stream) {
      chunks.push(Buffer.from(chunk));
   }

   return Buffer.concat(chunks).toString("utf-8");
}

if (argv.length > 2) {
   console.log('Usage: vrml1to97 < old.wrl > shinynew.wrl')
   console.log('  Translates VRML 1.0 on standard input to VRML97 on standard out.')
} else {
   const input = await streamToString(stdin)
   console.log(convert(input))
}
